This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 245061 - koffice: Krita /usr/share/applnk/.hidden/*.desktop files
koffice: Krita /usr/share/applnk/.hidden/*.desktop files
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: koffice (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On: 245190
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-20 15:36 EDT by James
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version: 1.6.3-6.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-02 12:09:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description James 2007-06-20 15:36:53 EDT
Description of problem:
The files /usr/share/applnk/.hidden/krita*.desktop included with koffice-krita
are missing a line, presumably

    OnlyShowIn="KDE"

which prevents these .desktop files showing up in the GNOME Panel menu. In their
supplied state, they result in a strange submenu in the Applications menu called
.hidden with Krita icons in it.

Version-Release number of selected component (if applicable):
koffice-krita-1.6.2-3.fc7

How reproducible:
Always

Steps to Reproduce:
1. Install Krita.
2. Restart gnome-panel.
  
Actual results:
A strange .hidden folder in the applications menu.

Expected results:
No strange menus.

Additional info:
Running

# cd /usr/share/applnk/.hidden/
# for f in krita*.desktop ; do echo "OnlyShowIn=\"KDE\"" >> $f ; done

fixes this.
Comment 1 Rex Dieter 2007-06-20 20:55:39 EDT
* Wed Jun 20 2007 Rex Dieter <rdieter[AT]fedoraproject.org>
1.6.2-4
- mark applnk/.hidden/*.desktop NoDisplay=True instead (#245061)
Comment 2 James 2007-06-21 04:41:48 EDT
Hmm... I find that the entry is case-sensitive --- I need to append the line

    NoDisplay=true

to prevent the folder from showing up. (A similar niggle affects K3B --- I'll
file a separate report for that one, too.)
Comment 3 Rex Dieter 2007-06-21 11:28:49 EDT
fyi, related to (possible) gnome-menus regression, bug #245190

(JH, see also k3b bug #244513)
Comment 4 Fedora Update System 2007-06-25 19:20:55 EDT
koffice-1.6.3-6.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2007-07-02 12:09:36 EDT
koffice-1.6.3-6.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.